> For the complete documentation index, see [llms.txt](https://gaffa.dev/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gaffa.dev/docs/api-reference/api-reference.md).

# API Reference

Complete HTTP API documentation for Gaffa. Each endpoint page includes interactive OpenAPI definitions you can try from the docs.

Start with [API Authentication](/docs/api-reference/api-authentication.md) to create and use API keys, then explore the endpoints below.

## Browser requests

* [POST v1/browser/requests](/docs/api-reference/post-v1-browser-requests.md) — Create and run a browser request
* [GET v1/browser/requests/{id}](/docs/api-reference/get-v1-browser-requests-id.md) — Get a browser request by ID
* [GET v1/browser/requests](/docs/api-reference/get-v1-browser-requests.md) — List browser requests

## Schemas

* [POST v1/schemas](/docs/api-reference/post-v1-schemas.md) — Create a schema
* [PUT v1/schemas](/docs/api-reference/put-v1-schemas.md) — Update a schema
* [GET v1/schemas](/docs/api-reference/get-v1-schemas.md) — List schemas
* [DELETE v1/schemas/{id}](/docs/api-reference/delete-v1-schemas-id.md) — Delete a schema

## Site mapping

* [POST v1/site/map](/docs/api-reference/post-v1-site-map.md) — Create a site mapping request
* [GET v1/site/map](/docs/api-reference/get-v1-site-map.md) — List site mapping requests
* [GET v1/site/map/{id}](/docs/api-reference/get-v1-site-map-id.md) — Get a site mapping request by ID


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gaffa.dev/docs/api-reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
